TransformationPathway
Keywords: uk.ac.ic.doc.automed.reps.TransformationPathway,TransformationPathway class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.reps
Class TransformationPathway

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.reps.TransformationPathway

public class TransformationPathway
extends java.lang.Object

The TransformationPathway class

Author:
  Michael Boyd (mboyd@doc.ic.ac.uk), Nerissa Tong (nnyt98@doc.ic.ac.uk)
See Also:
  `Path`

Method Summary
`static TransformationPathway[]` | `findAllPaths(java.lang.String schema1, java.lang.String schema2)`
`static TransformationPathway[]` | `findAllPathsToSchema(java.lang.String schema)`
`static TransformationPathway` | `findPathFromClosestExtSchema(java.lang.String schema)`
`static TransformationPathway` | `findShortestPath(Schema schema1, Schema schema2)` Find the shortest path containing the fewest number of steps between two schemas.
`static TransformationPathway` | `findShortestPath(java.lang.String schema1, java.lang.String schema2)`
`Schema[]` | `getSchemas()` Return as an array the `Schema`s that appear in the `Transformation`s of this TransformationPathway.
`Transformation` | `getTran(int index)`
`Transformation[]` | `getTransformations()` Return as an array the `Transformation`s that make up this TransformationPathway.
`int` | `indexOfTran(Transformation tran)`
`boolean` | `isWellformed()`
`int` | `numOfTrans()`
`java.lang.String` | `toString()`
`void` | `write()` Write out the series of transformations found in this pathway to the standard output in a human readable form

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### findAllPaths

    public static TransformationPathway[] findAllPaths(java.lang.String schema1,
                                                       java.lang.String schema2)
                                                throws IntegrityException

    `IntegrityException`

### findAllPathsToSchema

    public static TransformationPathway[] findAllPathsToSchema(java.lang.String schema)
                                                        throws NotFoundException

    `NotFoundException`

### findPathFromClosestExtSchema

    public static TransformationPathway findPathFromClosestExtSchema(java.lang.String schema)
                                                              throws NotFoundException,
                                                                     IntegrityException

    `NotFoundException`
    `IntegrityException`

### findShortestPath

    public static TransformationPathway findShortestPath(java.lang.String schema1,
                                                         java.lang.String schema2)
                                                  throws NotFoundException

    `NotFoundException`

### findShortestPath

    public static TransformationPathway findShortestPath(Schema schema1,
                                                         Schema schema2)
                                                  throws NotFoundException

  Find the shortest path containing the fewest number of steps between two schemas. Note that this might not be the best path to use, since it might contain extend and contract transformations, where a longer path might not contain extend and contract transformations.

    `NotFoundException`

### isWellformed

    public boolean isWellformed()
                         throws IntegrityException

    `IntegrityException`

### getTransformations

    public Transformation[] getTransformations()

  Return as an array the `Transformation`s that make up this TransformationPathway.

### getSchemas

    public Schema[] getSchemas()

  Return as an array the `Schema`s that appear in the `Transformation`s of this TransformationPathway.

### numOfTrans

    public int numOfTrans()
                   throws IntegrityException

    `IntegrityException`

### getTran

    public Transformation getTran(int index)
                           throws IntegrityException

    `IntegrityException`

### indexOfTran

    public int indexOfTran(Transformation tran)
                    throws IntegrityException

    `IntegrityException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### write

    public void write()

  Write out the series of transformations found in this pathway to the standard output in a human readable form

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD